Package org.apache.jmeter.report.processor

# Class PercentileAggregatorFactory

java.lang.Object
org.apache.jmeter.report.processor.AbstractAggregatorFactory
org.apache.jmeter.report.processor.PercentileAggregatorFactory

All Implemented Interfaces:
  `AggregatorFactory`

public class PercentileAggregatorFactory extends AbstractAggregatorFactory
A factory for creating PercentileAggregator objects.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PercentileAggregatorFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Aggregator`
  `createAggregator()`
  `final double`
  `getPercentileIndex()`
  Gets the percentile index.
  `void`
  `setPercentileIndex(double percentileIndex)`
  Sets the percentile index.

  ### Methods inherited from class org.apache.jmeter.report.processor.AbstractAggregatorFactory

  `createAggregatedKeyValueAggregator, createKeyAggregator, createValueAggregator`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PercentileAggregatorFactory

    public PercentileAggregatorFactory()

- ## Method Details

  - ### getPercentileIndex

    public final double getPercentileIndex()
    Gets the percentile index.
    Returns:
      the percentile index

  - ### setPercentileIndex

    public void setPercentileIndex(double percentileIndex)
    Sets the percentile index.
    Parameters:
      `percentileIndex` - the index of the percentile to set

  - ### createAggregator

    protected Aggregator createAggregator()
    Specified by:
      `createAggregator` in class `AbstractAggregatorFactory`